Check if connector is owned by the logged in user
Sign in to run requests against the CDE API.
Authorization
oAuth2AuthCode AuthorizationBearer <token>
In: header
Path Parameters
publicId*string
Format
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://cde.staging.productsup.com/connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08/check-ownership"{
"message": "Connector ownership checked successfully.",
"data": {
"owns-connector": true,
"connector-id": "019e16f3-f2fe-722f-b6d3-a835c68c7710"
}
}{
"message": "You have to be authorized to access this resource."
}{
"message": "Access denied for user."
}{
"message": "Connector not found."
}How is this guide?
Trigger a connector build based on VCS information POST
This action will trigger the following operations: * checkout code * build docker image based on dockerfile * run basic integration test * push image to private docker registry
Create an empty connector POST
The connector will be initialized with a version 1 state.